<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Персонаж';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
include($path.'inc/mo.php');
if(empty($_GET[act])){
if($udata[lvl]<5){
$st="NG";}
elseif($udata[lvl]>=5 and $udata[lvl]<10){
$st="D";}
elseif($udata[lvl]>=10 and $udata[lvl]<15){
$st="C";}
elseif($udata[lvl]>=15 and $udata[lvl]<20){
$st="B";}
elseif($udata[lvl]>=20 and $udata[lvl]<25){
$st="A";}
elseif($udata[lvl]>25){
$st="S";}

if($udata[klas]=="wizard"){$kl="m";$kln="Маг";}
if($udata[klas]=="fighert"){$kl="f";$kln="Воин";}
echo'<div class="m_bg"><b>'.$log.'<font color=grey>';
if($udata[storona]=="white"){echo" [Светлый ";}
if($udata[storona]=="black"){echo" [Тёмный ";}
echo $kln;
echo", ".$udata[lvl]." ур.]</font></b></div><div class=m_bg>";

if (is_file('pic/avanick/'.$log.'.png')||is_file('pic/avanick/'.$log.'.jpg')||is_file('pic/avanick/'.$log.'.jpeg'))
{
avatar($log);

}
else{

if($udata[prava] >= 2) {echo"<img src='pic/avatar/admin/kamaelmen.gif' />"; }
if($udata[prava] == 0) {echo"<img src='pic/avatar/human/$kl/$udata[pol]/$st.gif' />";} }




echo"</div>";


include("files/opit.php");
echo'<div class="m_bg">Информация</div><div class="m_bg">';
$req1 = mysql_query("SELECT * FROM `karma` WHERE `usr` = '$udata[usr]'");
$karma=mysql_num_rows($req1);
echo"Карма: <b>$karma</b><br/>";
if(!empty($udata[zamujem])){
$nickas = strip_tags($udata[zamujem]);
$req = mysql_query("SELECT `storona` FROM `users` WHERE `usr` = '$nickas'");
$pic = mysql_fetch_array($req);
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$udata[zamujem]'");
$pic = mysql_fetch_array($req);
echo"Состоит в браке с:";
echo' <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>'; echo"<a href=\"search.php?nick=$udata[zamujem]&go=go\"> $udata[zamujem]</a><br/>";
}
echo"Титаниум: <b>$udata[titan]</b><br/>";
echo"Опыт: <b>$udata[exp]</b><br/>";
echo"До след.ур.: <b>$nlvl</b><br/>";
$req1 = mysql_query("SELECT * FROM `preds` WHERE `usr`='$log'");
$avto1=mysql_num_rows($req1);
echo"Предупреждений: <b>$avto1 <a href=pers.php?act=pred>(история)</a></b><br/>";

if($udata[prof] != NULL and $udata[prof] != 1 and $udata[prof] != 2){
echo"Профессия: <b>$udata[prof]</b><br/>";}
if(!empty($udata[clan])){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req);
if($usdata[clan_prava] == 0){ $status = '(Боец)';}
if($udata[clan_prava] == 1){ $status = '(Воевода)';}
if($udata[clan_prava] == 5){ $status = '(Лидер)';}
echo"Вы в клане: <b><a href=\"clan.php?id=$clan[id]\">$clan[name]</a> $status </b><br/>";
}else{echo"В клане не состоит <br/>";}
$req = mysql_query("SELECT id,name FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
echo"Питомец: <b><a href=\"pit.php?id=$pit[id]\">$pit[name]</a></b>";
}
echo"</div>";

if($udata[skill]>0){
echo"<div class=m_bg>Очков для распределения: ".$udata[skill]."</div><div class=m_bg>";
echo"[<a href=\"pers.php?act=skill&what=hp\">+ к жизни</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=mp\">+ к мане</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=lovk\">+ к ловкости</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=sila\">+ к силе</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=um\">+ к интеллекту</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=prot\">+ к физ.защите</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=krit\">+ к шансу крита</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=ukrit\">+ к урону от крита</a>]";
echo'<br/>';
echo"[<a href=\"pers.php?act=skill&what=antikrit\">+ к анти-криту</a>]";
echo'</div>';
}



echo"<div class=m_bg>Физические параметры:</div><div class=m_bg>
Сила: $udata[sila]";
echo'<br/>';

echo"Ловкость: $udata[lovk]";
echo'<br/>';

echo"Интеллект: $udata[um]";
echo'<br/>';

echo"Физ. Защита: $udata[prot]";
echo'<br/>';
echo"Критический удар: $udata[krit]%";
echo'<br/>';
echo"Крит-урон: $udata[ukrit]%";
echo'<br/>';
echo"Анти-крит: $udata[antikrit]%";
echo'<br/>';
echo"<b>Урон: $udata[umin]/$udata[umax] +($udata[sila])</b><br/>";
$pverh=$udata[prot]+$udata[pgolova];
$pcenter=$udata[prot]+$udata[pbody];
$pniz=$udata[prot]+$udata[pnogi];
echo"<b>Защита головы: ~$pverh</b><br/>";
echo"<b>Защита туловища: ~$pcenter</b><br/>";
echo"<b>Защита ног: ~$pniz</b></div>";

echo"[<b><a href=\"pers.php?act=mag\">Мои умения</a></b>]<br/>";
if($udata['klas'] == 'fighert'){
echo"[<b><a href=\"pers.php?act=passi\">Пассивные умения</a></b>]<br/>";}
echo"[<b><a href=\"pers.php?act=stats\">Статистика</a></b>]<br/>";
echo"[<b><a href=\"pers.php?act=shmot\">Вооружение</a></b>]<br/>";
echo '[<b><a href="index.php?mod=quests">Мои задания</a></b>]<br/>';
echo"[<b><a href=\"index.php?mod=ref\">Пригласить друга</a></b>]<br/>";
echo '[<b><a href="anketa.php?">Моя анкета</a></b>]<br/>';
echo '[<b><a href="set.php?">Настройки</a></b>]<br/>';
echo"[<b><a href='msg.php'>Почта</a></b>]<br/>";






////////////////////
}elseif($_GET[act]==skill){
switch($_GET[what]){
default:
echo'Ошибка! Доступ закрыт!<br/>';
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'sila':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[sila]+1;
mysql_query("UPDATE `users` SET `skill` = '$nskill', `sila`=`sila`+'1' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'prot':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[prot]+1;
mysql_query("UPDATE users SET skill = '$nskill',prot='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'lovk':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[lovk]+1;
mysql_query("UPDATE users SET skill = '$nskill',lovk='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'um':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[um]+1;
mysql_query("UPDATE users SET skill = '$nskill',um='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'krit':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[krit]+1;
mysql_query("UPDATE users SET skill = '$nskill',krit='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'ukrit':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[ukrit]+1;
mysql_query("UPDATE users SET skill = '$nskill',ukrit='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'antikrit':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[antikrit]+1;
mysql_query("UPDATE users SET skill = '$nskill',antikrit='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'hp':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[hpall]+5;
mysql_query("UPDATE users SET skill = '$nskill',hpall='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'mp':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[mpall]+5;
mysql_query("UPDATE users SET skill = '$nskill',mpall='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
}
}
elseif($_GET[act]==passi){
echo"<b>Пассивные умения:</b><br/>";
echo"Усиление удара: <b>".$udata[sila]*0.5."</b><br/>";
echo"Усиление парирования: <b>".$udata[lovk]*0.5."</b><br/>";
echo"<a href=pers.php>Назад</a>";
}

elseif($_GET[act]==shmot){
//Шмот

echo"<b>Снаряжение:</b><br/>";
$i=1;
while($i<=11){
switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Плащ';
$gt='plash';
break;
case '5':
$tip='Рукавицы';
$gt='ruki';
break;
case '6':
$tip='Пояс';
$gt='poyas';
break;
case '7':
$tip='Сапоги';
$gt='nogi';
break;
case '8':
$tip='Щит';
$gt='shit';
break;
case '9':
$tip='Амулет';
$gt='amulet';
break;
case '10':
$tip='Кольцо';
$gt='kolco';
break;
case '11':
$tip='Маска';
$gt='maska';
break;
}
if($gt!='kolco'){
echo"$tip: ";
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Пусто<br/>";
}else{
$mag = mysql_fetch_array($req);
echo" <a href='inventar.php?mod=info&id=$mag[id]'><b>$mag[name]</b></a> [<a href='snyat.php?tip=$gt'><font color='red'>X</font></a>]
<br/>";
}}else{
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Кольцо: Пусто<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==1){
$mag = mysql_fetch_array($req);
echo"Кольцо: <a href='inventar.php?mod=info&id=$mag[id]'><b>$mag[name]</b></a> [<a href='snyat.php?tip=$gt'><font color='red'>X</font></a>]<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==2){
While($best = mysql_fetch_array($req))
{
echo"Кольцо: <a href='inventar.php?mod=info&id=$best[id]'><b>$best[name]</b></a> [<a href='snyat.php?tip=$gt&id=$best[id]'><font color='red'>X</font></a>]<br/>";
}
}
}
$i++;
}



//Конец
}

elseif($_GET[act]==pred){
echo"<div class='m_bg'>История нарушений:</div><div class='m_bg'>";
$req = mysql_query("SELECT * FROM `preds` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto>=1){

While($mob = mysql_fetch_array($req))
{
echo"<b>Предупреждение</b> от модератора <b>".$mob[md]."</b>, полученное ".$mob[date].", по причине нарушения правил. Разъяснение модератора <b>".$mob[md]."</b> :".$mob[pp]."<hr>";


}
}  else { echo"Предупреждений пока что нет"; } 
echo"</div>";
}



elseif($_GET[act]==stats){
echo"<b>Статистика:</b><br/>
<b>СЛАВА: $udata[slava]</b><br/>
Предательства: $udata[predatel]<br/>
Побед на арене: $udata[arenawins]<br/>
Поражений на арене: $udata[arenaloses]<br/>
Побед: $udata[wins]<br/>
Поражений: $udata[loses]<br/>
Предупреждений: $udata[preds]<br/>
Сообщений в чате: $udata[fchat]";

}
elseif($_GET[act]==mag){
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$log'");
if(mysql_num_rows($req)>=1)
{
While($mag = mysql_fetch_array($req))
{
$maglvl=$mag[lvl]-1;
$magmp=explode("|",$mag[mp]);
$mag[mp]=$magmp[$maglvl];//мп

$maghp=explode("|",$mag[hp]);
$mag[hp]=$maghp[$maglvl];//хп

$maghp=explode("|",$mag[plushp]);
$mag[plushp]=$maghp[$maglvl];//+хп

$maghp=explode("|",$mag[uron]);
$mag[uron]=$maghp[$maglvl];//+урон
echo'<div class="event">';
echo"<b>$mag[name]:</b><br/>";
echo"Уровень: $mag[lvl]<br/>";
echo"Класс: ";
if($mag[klas]=="wizard"){echo"Маг<br/>";}
if($mag[klas]=="fighert"){echo"Воин<br/>";}
echo"Урон: $mag[uron]<br/>";
echo"Забирает маны: $mag[mp]<br/>";
echo"Забирает здоровья: $mag[hp]<br/>";
echo"Даёт здоровья: $mag[plushp]</div>";
}
}else{
echo '<b>Нет умений!</b>';
}
echo"<br /><a href=\"pers.php?\">Назад</a>";
}
else{
echo'Ошибка';
}
include($path.'files/down.php');
?>